function registerPushwooshWindows()
{
    var pushNotification = window.plugins.pushNotification;
 
    //set push notifications handler
    document.addEventListener('push-notification', function(event) {
                //get the notification payload
                var notification = event.notification;
 
                //display alert to the user for example
                alert(JSON.stringify(notification));
    });
 
    //initialize the plugin
    pushNotification.onDeviceReady({ appid: "5B30A-784A6", serviceName: "" });
 
    //register for pushes
    pushNotification.registerDevice(
        function(status) {
            var pushToken = status;
            window.localStorage.setItem('deviceid',pushToken);
            SetDeviceToken(pushToken);                        
            console.warn('push token: ' + pushToken);
        },
        function(status) {
            console.warn(JSON.stringify(['failed to register ', status]));
        }
    );
}