function showHelp (location) {
	var winWidth = 0, winHeight = 0;
	var popWidth = 450, popHeight = 340;
	if( typeof( window.innerWidth ) == 'number' ) {
		//Non-IE
		winWidth = window.innerWidth;
		winHeight = window.innerHeight;
	} else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
		//IE 6+ in 'standards compliant mode'
		winWidth = document.documentElement.clientWidth;
		winHeight = document.documentElement.clientHeight;
	} else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
		//IE 4 compatible
		winWidth = document.body.clientWidth;
		winHeight = document.body.clientHeight;
	}
	var leftPos = (winWidth - popWidth) / 2, topPos = (winHeight - popHeight) / 2;
	helpWindow = window.open ("", "mywindow", "location=1,status=1,scrollbars=1,width=" + popWidth + ",height=" + popHeight + ",top=" + topPos + ",left=" + leftPos);
	helpWindow.document.location = location;
}

function resetHelp () {
	if (document.getElementById ("help_element_name")) {
		document.getElementById ("help_element_name").innerHTML = "";
		document.getElementById ("help_element_desc").innerHTML = "<div align=\"center\">(no selected field)</div><br />";
	}
}

function setHelpText (element_name) {
	if (element_name != "") {
		if (help_strings[element_name]) {
			document.getElementById ("help_element_name").innerHTML = help_strings[element_name][0];
			document.getElementById ("help_element_desc").innerHTML = help_strings[element_name][1];
		} else {
			resetHelp();
		}
	} else {
		resetHelp();
	}
}